1. Receipts
OnlySocial
  • 🐶 OnlySocial API Walk through
  • Only Social
    • Accounts
      • List Accounts
      • Get an account
    • Media
      • List media files
      • Get a media file
      • Upload a media file
      • Delete a media file
      • Update a Media
    • Tags
      • List Tags
      • Get a tag
      • Create a tag
      • Delete a tag
      • Update a tag
    • Posts
      • List posts
      • Get a post
      • Create a post
      • Delete a post
      • Delete multiple post
      • Schedule a post
      • Add a post to Queue
      • Update a post
      • Approve a Post
    • Groups
      • Create a group
      • Update a group
      • Delete a Group
    • Users
      • List users
      • Create a user
      • Bulk delete users
      • Get user info
      • Update a user
      • Delete a user
    • Receipts
      • List receipts
        GET
      • Create a receipt
        POST
      • Bulk delete receipts
        DELETE
      • Update a receipt
        PUT
      • Delete a receipt
        DELETE
    • Workspaces
      • List workspaces
      • Create a workspace
      • Bulk delete workspaces
      • Update a workspace
      • Delete a workspace
    • WorkspaceUsers
      • Attach user to workspace
      • Update workspace user role/ownership
      • Detach user from workspace
    • WorkspaceSubscriptions
      • Create a workspace subscription
      • Update workspace subscription
      • Delete workspace subscription
      • Create a new workspace subscription (custom logic)
      • Change workspace subscription plan
      • Cancel workspace subscription
      • Resume paused workspace subscription
      • Add generic subscription to workspace
      • Remove generic subscription from workspace
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • UserStore
    • UserUpdate
    • ReceiptStore
    • ReceiptUpdate
    • WorkspaceStore
    • WorkspaceUpdate
    • WorkspaceUserAttach
    • WorkspaceUserUpdate
    • WorkspaceSubscriptionStore
    • WorkspaceSubscriptionUpdate
  1. Receipts

Update a receipt

PUT
/panel/receipts/{receipt}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Example
{
    "transaction_id": "TRX88889999",
    "invoice_number": "INV2002",
    "amount": 1999.9,
    "tax": 199.99,
    "currency": "USD",
    "receipt_url": "https://invoices.example.com/INV2002",
    "description": "Updated plan description",
    "paid_at": "2024-04-06T08:00:00Z"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://app.onlysocial.io/os/api/panel/receipts/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "transaction_id": "TRX88889999",
    "invoice_number": "INV2002",
    "amount": 1999.9,
    "tax": 199.99,
    "currency": "USD",
    "receipt_url": "https://invoices.example.com/INV2002",
    "description": "Updated plan description",
    "paid_at": "2024-04-06T08:00:00Z"
}'

Responses

🟢200
Receipt updated
This response does not have a body.
Modified at 2026-06-14 08:07:00
Previous
Bulk delete receipts
Next
Delete a receipt
Built with